Does anyone know if RADIUS from BMAS 3.7 will run on NetWare 6.5 SP3?

I am currently running NMAS RADIUS from the BMAS 3.8 CDROM and all my
servers are NetWare 6.5. The problem is with grace logins being
decremented when authenticating via NMAS RADIUS. A remote user is not
notified they are using a grace login and after 3, they can't authenticate
to the network. I don't want to change the grace login requirement
because of security policy but have alot of remote users who only
authenticate via radius.
The original version of RADIUS we were running on NetWare 5.1 worked
without this issue.
I have considered installing a NetWare 5.1 SP8 server back into the tree
only for the purpose of running RADIUS but the boss isn't too keen on the
idea of having to move backwards because of this. If BMAS 3.7 would work
on NetWare 6.5 SP3 and not decrement grace logins, that would be easier to
swallow.
Any infromation would be greatly appriciated.

BOBV